# Create a business profile

Creates the business profile and its authorized representative in a single request.
This request accepts an optional field in the header, `X-idempotence-uuid`. This should be unique for each Profile you create. In the event that the request fails, you should use the same value again when retrying. If the `X-idempotence-uuid` header is not provided and a Profile already exists, then you will receive a response with an HTTP status code `409`.
See [Business Categories](/guides/product/kyc/business-categories) for the list of valid `industryCategories` values. Send either `industryCategories` or the deprecated `firstLevelCategory`/`secondLevelCategory` pair - supplying both in one request returns a `400`. If you currently send the legacy fields, see [Migrating to industry categories](/guides/product/kyc/migrate-business-profile-industry-categories).

Endpoint: POST /profiles/business-profile
Security: UserToken

## Header parameters:

  - `X-idempotence-uuid` (string)
    Unique idempotency key for the request.

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `businessName` (string)
    Business name.
    Example: ABC Logistics Ltd

  - `businessNameInKatakana` (string | null)
    Business name in Katakana (only for Japanese businesses).
    Example: null

  - `businessFreeFormDescription` (string)
    Business free form description. Required if `companyType` is `OTHER`. If this is not provided for an `OTHER` companyType, the profile should not be allowed to create a transfer.
For the rest of the companyTypes, it is highly recommended to always provide the business' description, to avoid payment issues such as suspensions. Wise will send a request for information (RFI) if this detail is not provided.
    Example: Biz free form desc

  - `registrationNumber` (string)
    Business registration number.
    Example: 12144939

  - `acn` (string | null)
    Australian Company Number (only for Australian businesses).
    Example: null

  - `abn` (string | null)
    Australian Business Number (only for Australian businesses).
    Example: null

  - `arbn` (string | null)
    Australian Registered Body Number (only for Australian businesses).
    Example: null

  - `companyType` (string)
    Company legal form.
    Enum: "LIMITED", "PARTNERSHIP", "SOLE_TRADER", "LIMITED_BY_GUARANTEE", "LIMITED_LIABILITY_COMPANY", "FOR_PROFIT_CORPORATION", "NON_PROFIT_CORPORATION", "LIMITED_PARTNERSHIP", "LIMITED_LIABILITY_PARTNERSHIP", "GENERAL_PARTNERSHIP", "SOLE_PROPRIETORSHIP", "PRIVATE_LIMITED_COMPANY", "PUBLIC_LIMITED_COMPANY", "TRUST", "OTHER"

  - `companyRole` (string)
    Role of person.
    Enum: "OWNER", "DIRECTOR", "OTHER"

  - `address` (object)

  - `address.addressFirstLine` (string)
    First line of address.
    Example: 1 A road

  - `address.city` (string)
    City.
    Example: London

  - `address.countryIso2Code` (string)
    2 letter country code.
    Example: gb

  - `address.countryIso3Code` (string)
    3 letter country code. Must be lowercase.
    Example: gbr

  - `address.postCode` (string)
    Postal code.
    Example: 11111

  - `address.stateCode` (string)
    State code.

  - `externalCustomerId` (string)
    An external reference identifier mapping the customer of this profile to your system.
    Example: 67890-biz-acct

  - `actorEmail` (string)
    Email of the actor.
    Example: biz-acct@abcl.com

  - `industryCategories` (array)
    One or more industry categories classifying the business. See [Business Categories](/guides/product/kyc/business-categories) for the full list of valid values.
    Example: ["SOFTWARE_DEVELOPMENT_PUBLISHING","IT_CONSULTANCY_TECHNICAL_SUPPORT_SERVICES"]

  - `firstLevelCategory` (string)
    Legacy primary [business category](/guides/product/kyc/business-categories). Use `industryCategories` instead. Cannot be combined with `industryCategories`.
    Example: CONSULTING_IT_BUSINESS_SERVICES

  - `secondLevelCategory` (string)
    Legacy secondary [business category](/guides/product/kyc/business-categories). Use `industryCategories` instead. Cannot be combined with `industryCategories`.
    Example: DESIGN

  - `operationalAddresses` (array)
    List of operational addresses.

  - `operationalAddresses.addressFirstLine` (string)
    Example: 1 A road

  - `operationalAddresses.city` (string)
    Example: London

  - `operationalAddresses.countryIso2Code` (string)
    Example: gb

  - `operationalAddresses.countryIso3Code` (string)
    Example: gbr

  - `operationalAddresses.postCode` (string)
    Example: 11111

  - `operationalAddresses.stateCode` (string)

  - `webpage` (string)
    Business webpage. Required if `companyType` is `OTHER`. If this is not provided for an `OTHER` companyType, the profile should not be allowed to create a transfer.
For the rest of the companyTypes, it is highly recommended to always provide the business' website, to avoid payment issues such as suspensions. Wise will send a request for information (RFI) if this detail is not provided.
    Example: https://abc-logistics.com

  - `businessRepresentative` (object)
    Business representative details. Provide either the full representative details or just the `businessRepresentativeId` to link an existing representative.

  - `businessRepresentative.businessRepresentativeId` (integer)
    ID of a Business Representative. This can be obtained from a previous call to create a business profile, in which case the same Business Representative is linked to the current business effectively sharing it across multiple businesses. When the Business Representative ID is provided, it is the only field required and none of the other fields should be provided.

  - `businessRepresentative.firstName` (string)
    First name of the person representing the business (including middle names). Required unless Business Representative ID is provided.
    Example: Oliver

  - `businessRepresentative.lastName` (string)
    Last name of the person representing the business. Required unless Business Representative ID is provided.
    Example: Wilson

  - `businessRepresentative.preferredName` (string)
    Preferred first name, if different to the legal first name.
    Example: Olivia

  - `businessRepresentative.address` (object)

  - `businessRepresentative.address.addressFirstLine` (string)
    First line of address. Required unless Business Representative ID is provided.
    Example: 50 Sunflower Ave

  - `businessRepresentative.address.city` (string)
    City. Required unless Business Representative ID is provided.
    Example: Phoenix

  - `businessRepresentative.address.countryIso3Code` (string)
    3 letter country code (lower case). Required unless Business Representative ID is provided.
    Example: usa

  - `businessRepresentative.address.postCode` (string)
    Postal code.
    Example: 10025

  - `businessRepresentative.address.stateCode` (string)
    State code (max 5 chars). Required for US, CA, BR and AU addresses unless Business Representative ID is provided.
    Example: AZ

  - `businessRepresentative.contactDetails` (object)

  - `businessRepresentative.contactDetails.email` (string)
    Contact email address. Required unless Business Representative ID is provided.
    Example: o.wilson@example.com

  - `businessRepresentative.contactDetails.phoneNumber` (string)
    Contact phone number in international phone number format. Required unless Business Representative ID is provided.
    Example: +3725064992

  - `businessRepresentative.dateOfBirth` (string)
    Date of birth. Required unless Business Representative ID is provided.
    Example: 1977-07-01

## Response 200 fields (application/json):

  - `type` (string, required)
    Type of profile.
    Enum: "BUSINESS"

  - `id` (integer)
    Unique identifier for the profile.
    Example: 14599371

  - `publicId` (string)
    Publicly accessible identifier for the profile.
    Example: f0e9d8c7-b6a5-4321-fedc-ba9876543210

  - `userId` (integer)
    The ID of the user associated with this profile.
    Example: 9889627

  - `address` (object)
    Address associated with a profile.

  - `address.id` (integer)
    ID of the address.
    Example: 36086782

  - `address.addressFirstLine` (string)
    First line of the address.
    Example: 24 Willow Creek Lane

  - `address.city` (string)
    City of the address.
    Example: Bristol

  - `address.countryIso2Code` (string)
    Two-letter ISO country code.
    Example: GB

  - `address.countryIso3Code` (string)
    Three-letter ISO country code.
    Example: gbr

  - `address.postCode` (string)
    Postal code of the address.
    Example: BS1 6AE

  - `address.stateCode` (string | null)
    State code of the address (can be null for some countries).
    Example: null

  - `email` (string)
    Primary email address for the business.
    Example: info@innovate-solutions.co.uk

  - `createdAt` (string)
    Timestamp when the profile was created (ISO 8601 format).
    Example: 2024-03-10T09:00:00

  - `updatedAt` (string)
    Timestamp when the profile was last updated (ISO 8601 format).
    Example: 2025-06-18T14:22:00

  - `currentState` (string)
    Current status of this profile.
    Enum: "HIDDEN", "VISIBLE", "DEACTIVATED"

  - `contactDetails` (object)
    Contact information for the business.

  - `contactDetails.email` (string)
    Contact email address.
    Example: contact@innovate-solutions.co.uk

  - `contactDetails.phoneNumber` (string)
    Contact phone number.
    Example: +441617891234

  - `businessName` (string)
    Registered business name.
    Example: Innovate Solutions Ltd

  - `registrationNumber` (string)
    Business registration number.
    Example: SC1234567890ABCD

  - `descriptionOfBusiness` (string)
    Deprecated. New integrations should use `industryCategories`. See [Migrating to industry categories](/guides/product/kyc/migrate-business-profile-industry-categories).
    Example: IT_DEVELOPMENT

  - `webpage` (string)
    Business website URL.
    Example: https://www.innovate-solutions.co.uk

  - `companyType` (string)
    Type of company.
    Example: LIMITED_COMPANY

  - `companyRole` (string)
    Role of the person managing the business profile.
    Enum: "OWNER", "DIRECTOR", "OTHER"

  - `businessFreeFormDescription` (string)
    Free-form description of the business activities.
    Example: We create cutting-edge software for businesses.

  - `firstLevelCategory` (string)
    Deprecated. New integrations should use `industryCategories`. See [Migrating to industry categories](/guides/product/kyc/migrate-business-profile-industry-categories).
Populated only when the profile was classified with the legacy fields, otherwise `null`. Create and update responses return the format you did not send as `null`, only [retrieve a profile](/api-reference/profile/profileget) derives both formats.
    Example: CONSULTING_IT_BUSINESS_SERVICES

  - `secondLevelCategory` (string)
    Deprecated. New integrations should use `industryCategories`. See [Migrating to industry categories](/guides/product/kyc/migrate-business-profile-industry-categories).
Populated only when the profile was classified with the legacy fields, otherwise `null`. Create and update responses return the format you did not send as `null`, only [retrieve a profile](/api-reference/profile/profileget) derives both formats, where it may return `UNMAPPED` if the `industryCategories` combination has no legacy equivalent.
    Example: IT_DEVELOPMENT

  - `industryCategories` (array)
    One or more industry categories classifying the business. See [Business Categories](/guides/product/kyc/business-categories) for the full list of valid values.
Populated only when the profile was classified with `industryCategories`, otherwise `null`. Create and update responses return the format you did not send as `null`, only [retrieve a profile](/api-reference/profile/profileget) derives both formats.
    Example: ["SOFTWARE_DEVELOPMENT_PUBLISHING","IT_CONSULTANCY_TECHNICAL_SUPPORT_SERVICES"]

  - `operationalAddresses` (array)
    An array of operational addresses for the business.

  - `fullName` (string)
    Full legal name of the business.
    Example: Innovate Solutions Ltd

